PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_claset | ( | PLASMA_enum | uplo,
|  | int | M,
|  | int | N,
|  | PLASMA_Complex32_t | alpha,
|  | PLASMA_Complex32_t | beta,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA
| ) |  |

PLASMA_claset sets all or part of a two-dimensional matrix A.

Parameters

  [in] | uplo | Specifies the part of the matrix A to be set. = PlasmaUpperLower: All the matrix A = PlasmaUpper: Upper triangular part is set. The lower triangle is unchanged. = PlasmaLower: Lower triangular part is set. The upper triangle is unchange.
  [in] | M | The number of rows of the matrix A. M >= 0.
  [in] | N | The number of columns of the matrix A. N >= 0.
  [in] | alpha | All the offdiagonal array elements are set to alpha.
  [in] | beta | All the diagonal array elements are set to beta.
  [in,out] | A | On entry, the m by n matrix A. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n, i.ne.j; A(i,i) = BETA, 1 <= i <= min(m,n)
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,M).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_claset_Tile
  PLASMA_claset_Tile_Async
  PLASMA_claset
  PLASMA_slaset
  PLASMA_slaset